Обновить less.js


#1

В данный момент CS-Cart содержит в себе less.js версии 1.3.0. Это версия от 25 ноября 2012 года. В более новых версиях было добавлено довольно много полезных возможностей. Можно ли в ближайших релизах cs-cart обновить библиотеку до одной из последних стабильных версий?
Спасибо.


#2

CS-Cart вообще не использует less.js

CSS же собирается на стороне сервера в нашем случае. Хотя очень бы хотелось новых лесовских функций


#3

CS-Cart использует последнюю стабильную версию lessphp 0.4.0 https://leafo.net/lessphp/.

А что не хватает в текущем Less? Современные возможности CSS делают препроцессоры практически не нужными.


#4

Из последнего: не смог заюзать псевдо-класс :extend


#5

Это можно сделать через миксин


#6

Из того, что не работает, а иногда хотелось бы.

Операции с цветовыми значениями. Я уж не помню что именно, но некоторое из полезного не работает http://lesscss.org/functions/#color-operations